/**
 * Created by haojunhua on 2017/1/20.
 */

var noop = function () {
    console.log('noop')
}

var watch = function (params) {

}

var userAgent = global.navigator.userAgent;

var ua = {
    ios: (/iPhone|iPad|iPod/i).test(userAgent),
    android: (/Android/i).test(userAgent),
    h5App: !!window.document,
    rnApp: !!!window.document,
};

/**
 * h5 api 对应的 rn api，没有映射的是因为无需映射 rn 提供了
 * @type {{[arena.device.base.getUUID]: string, [arena.device.geolocation.get]: string, [arena.device.geolocation.stop]: string, [arena.biz.map.view]: string, [arena.biz.util.scan]: string, [arena.biz.util.openLink]: string, [arena.biz.pay.alipay]: string, [arena.biz.pay.wxpay]: string, [arena.biz.telephone.call]: string, [arena.biz.micro.close]: string, [arena.extra.openUri]: string, [arena.extra.logout]: string, [arena.extra.version]: string, [arena.extra.setResult]: string, [arena.extra.share]: string, [arena.storage.session.get]: string, [arena.storage.session.set]: string}}
 */
var h5ApiToRN = {
    'arena.device.base.getUUID': '',
    'arena.device.geolocation.get': 'NativeModules.extra.get',
    'arena.device.geolocation.stop': 'NativeModules.extra.stop',
    'arena.biz.map.view': 'NativeModules.extra.view',
    'arena.biz.util.scan': 'NativeModules.extra.scan',
    'arena.biz.util.openLink': '',
    'arena.biz.pay.alipay': 'NativeModules.pay.alipay',
    'arena.biz.pay.wxpay': 'NativeModules..pay.wxpay',
    'arena.biz.telephone.call': '',
    'arena.biz.micro.close': 'NativeModules.micro.close',
    'arena.extra.openUri': 'NativeModules.extra.openUri',
    'arena.extra.logout': 'NativeModules.extra.logout',
    'arena.extra.version': 'NativeModules.extra.version',
    'arena.extra.setResult': 'NativeModules.extra.setResult',
    'arena.extra.share': 'NativeModules.extra.share',
    'arena.storage.session.get': 'NativeModules.storageSession.get',
    'arena.storage.session.set': 'NativeModules.storageSession.set',
}

export {noop, watch, ua,h5ApiToRN}